Page MenuHomePhabricator

Index out of bounds trying to highlight title/text
Closed, ResolvedPublic

Description

As seen in prod and in parent task:

Warning: Search backend error during full_text search
 for 'forÀ'
 after 56.
  Partial failure:  RemoteTransportException[[elastic1020][inet[/10.64.48.44:9300]][search/phase/fetch/id]];
 nested: FetchPhaseExecutionException[[enwiktionary_content_1415228868][0]: query[filtered(((all.plain:forà | all:"(a à)"^0.5) all_near_match:forà)~1)->cache(_type:page)],from[0],size[4]: Fetch Failed [Failed to highlight field [title]]];
 nested: ArrayIndexOutOfBoundsException; ,RemoteTransportException[[elastic1027][inet[/10.64.48.51:9300]][search/phase/fetch/id]];
 nested: FetchPhaseExecutionException[[enwiktionary_content_1415228868][2]: query[filtered(((all.plain:forà | all:"(a à)"^0.5) all_near_match:forà)~1)->cache(_type:page)],from[0],size[4]: Fetch Failed [Failed to highlight field [title]]];
 nested: ArrayIndexOutOfBoundsException; ,RemoteTransportException[[elastic1028][inet[/10.64.48.52:9300]][search/phase/fetch/id]];
 nested: FetchPhaseExecutionException[[enwiktionary_content_1415228868][3]: query[filtered(((all.plain:forà | all:"(a à)"^0.5) all_near_match:forà)~1)->cache(_type:page)],from[0],size[4]: Fetch Failed [Failed to highlight field [title]]];
 nested: ArrayIndexOutOfBoundsException; ,RemoteTransportException[[elastic1015][inet[/10.64.48.12:9300]][search/phase/fetch/id]];
 nested: FetchPhaseExecutionException[[enwiktionary_content_1415228868][4]: query[filtered(((all.plain:forà | all:"(a à)"^0.5) all_near_match:forà)~1)->cache(_type:page)],from[0],size[4]: Fetch Failed [Failed to highlight field [title]]];
 nested: ArrayIndexOutOfBoundsException;
[Called from CirrusSearch\ElasticsearchIntermediary::failure in /srv/mediawiki/php-1.25wmf23/extensions/CirrusSearch/includes/ElasticsearchIntermediary.php at line 98] in /srv/mediawiki/php-1.25wmf23/includes/debug/MWDebug.php on line 300

Event Timeline

demon created this task.Apr 3 2015, 5:55 PM
demon raised the priority of this task from to High.
demon updated the task description. (Show Details)
demon added subscribers: Jdouglas, Manybubbles, demon and 2 others.
demon renamed this task from Index out of bounds trying to highlight title to Index out of bounds trying to highlight title/text.Apr 24 2015, 2:09 PM
demon set Security to None.
demon added a subscriber: bd808.
Manybubbles added a project: Discovery.
Manybubbles moved this task from Needs triage to In progress on the Discovery board.
Manybubbles moved this task from Needs review to Done on the Discovery board.Apr 27 2015, 8:35 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptApr 28 2016, 2:32 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM